<?php
/*
Plugin Name: Delete Comment IP immediately
Plugin URI: http://www.daten-speicherung.de/index.php/mediawiki-und-wordpress-ohne-protokollierung-von-ip-adressen/
Description: A simple plugin which deletes IP, mail address and user-agent identification of all no-spam comments from the blog's database every time a new comment is posted. This is meant to keep commenter's privacy by avoiding unnessary storage of data. Inspired by <a href="http://www.deutsch.baseface.com/">Baseface</a>.
Author: <a href="mailto:nachtwaechter@tamagothi.de">Nachtwaechter</a>
Version: 0.2
Author URI: http://www.tamagothi.de/
*/

/*
** THE VERY SHORT LICENSE TEXT:
**
** (C)2006 NACHTWAECHTER, nachtwaechter@tamagothi.de
** LICENSED GPL 2, OR ANY LATER VERSION OF YOUR CHOICE
** ABSOLUTELY NO WARRANTY
**
** ANY QUESTIONS? ;)
** modified by daten-speicherung.de
*/

function delete_comments_ip ()
{
  global $wpdb;
  $r = $wpdb->query ("
    UPDATE $wpdb->comments
    SET    comment_author_IP = '0.0.0.0',
           comment_author_email = '',
           comment_agent = ''
    WHERE  comment_approved = '1'
  ");
  /* Deleting data is so amazingly simple... */
}

add_action('comment_post', 'delete_comments_ip');

?>
